|  | Home · All Classes · Modules

# QSslCipher Class Reference
[QtNetwork module]

The QSslCipher class represents an SSL cryptographic cipher. More...

### Methods

- __init__ (self)
- __init__ (self, QString name, QSsl.SslProtocol protocol)
- __init__ (self, QSslCipher other)
- QString authenticationMethod (self)
- QString encryptionMethod (self)
- bool isNull (self)
- QString keyExchangeMethod (self)
- QString name (self)
- QSsl.SslProtocol protocol (self)
- QString protocolString (self)
- int supportedBits (self)
- int usedBits (self)

### Special Methods

- bool __eq__ (self, QSslCipher other)
- bool __ne__ (self, QSslCipher other)

## Detailed Description

The QSslCipher class represents an SSL cryptographic cipher.

QSslCipher stores information about one cryptographic cipher. It is most commonly used with QSslSocket, either for configuring which ciphers the socket can use, or for displaying the socket's ciphers to the user.

See also QSslSocket and QSslKey.

## Method Documentation

### QSslCipher.__init__ (self)

Constructs an empty QSslCipher object.

### QSslCipher.__init__ (self, QString name, QSsl.SslProtocol protocol)

Constructs a QSslCipher object for the cipher determined by name and protocol. The constructor accepts only supported ciphers (i.e., the name and protocol must identify a cipher in the list of ciphers returned by QSslSocket.supportedCiphers()).

You can call isNull() after construction to check if name and protocol correctly identified a supported cipher.

### QSslCipher.__init__ (self, QSslCipher other)

Constructs an identical copy of the other cipher.

### QString QSslCipher.authenticationMethod (self)

Returns the cipher's authentication method as a QString.

### QString QSslCipher.encryptionMethod (self)

Returns the cipher's encryption method as a QString.

### bool QSslCipher.isNull (self)

Returns true if this is a null cipher; otherwise returns false.

### QString QSslCipher.keyExchangeMethod (self)

Returns the cipher's key exchange method as a QString.

### QString QSslCipher.name (self)

Returns the name of the cipher, or an empty QString if this is a null cipher.

See also isNull().

### QSsl.SslProtocol QSslCipher.protocol (self)

Returns the cipher's protocol type, or QSsl.UnknownProtocol if QSslCipher is unable to determine the protocol (protocolString() may contain more information).

See also protocolString().

### QString QSslCipher.protocolString (self)

Returns the cipher's protocol as a QString.

See also protocol().

### int QSslCipher.supportedBits (self)

Returns the number of bits supported by the cipher.

See also usedBits().

### int QSslCipher.usedBits (self)

Returns the number of bits used by the cipher.

See also supportedBits().

### bool QSslCipher.__eq__ (self, QSslCipher other)

### bool QSslCipher.__ne__ (self, QSslCipher other)